aboutsummaryrefslogtreecommitdiff
path: root/tester.in
diff options
context:
space:
mode:
Diffstat (limited to 'tester.in')
-rwxr-xr-xtester.in28
1 files changed, 28 insertions, 0 deletions
diff --git a/tester.in b/tester.in
new file mode 100755
index 0000000..1aae169
--- /dev/null
+++ b/tester.in
@@ -0,0 +1,28 @@
+#! /bin/sh
+
+# file : tester.in
+# copyright : Copyright (c) 2009-2013 Code Synthesis Tools CC
+# license : GNU GPL v2; see accompanying LICENSE file
+
+#
+# Run an ODB example. The example driver is in the current directory.
+# The data files, if any, are in $srcdir.
+#
+
+db_driver="$top_builddir/@database@-driver"
+db_options="$top_builddir/@database@.options"
+
+# Globbing returns files in alphabetic order.
+#
+for f in `echo *.sql`; do
+ if test -f $f; then
+ $db_driver $f
+
+ if test $? -ne 0; then
+ exit 1
+ fi
+ fi
+done
+
+echo ./driver --options-file "db_options"
+./driver --options-file "db_options"